- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/create#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/create#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/create#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics/create#try-it)

Creates a topic.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course, create a topic in the requested course, or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `ALREADY_EXISTS` if there exists a topic in the course with the same name.
- `FAILED_PRECONDITION` for the following [request error](https://developers.google.com/workspace/classroom/reference/Request.Errors):
  - CourseTopicLimitReached
- `NOT_FOUND` if the requested course does not exist.

### HTTP request

`POST https://classroom.googleapis.com/v1/courses/{courseId}/topics`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Identifier of the course. This identifier can be either the Classroom-assigned identifier or an `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases#CourseAlias`. |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics#Topic`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.topics#Topic`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.topics`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).